--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-8
-- Time: 16:22
-- To change this template use File | Settings | File Templates.
--

local CMAKE = luajava.bindClass("jscintilla.lexers.cmake")


local keywords = {}
keywords[1] = [[
add_custom_command add_custom_target add_definitions add_dependencies add_executable add_library
add_subdirectory add_test aux_source_directory build_command build_name cmake_minimum_required
configure_file create_test_sourcelist else elseif enable_language enable_testing endforeach
endif endmacro endwhile exec_program execute_process export_library_dependencies file find_file
find_library find_package find_path find_program fltk_wrap_ui foreach get_cmake_property
get_directory_property get_filename_component get_source_file_property get_target_property get_test_property if
include include_directories include_external_msproject include_regular_expression install install_files
install_programs install_targets link_directories link_libraries list load_cache
load_command macro make_directory mark_as_advanced math message option output_required_files project qt_wrap_cpp qt_wrap_ui
remove remove_definitions separate_arguments set set_directory_properties set_source_files_properties
set_target_properties set_tests_properties site_name source_group string subdir_depends
subdirs target_link_libraries try_compile try_run use_mangled_mesa utility_source
variable_requires vtk_make_instantiator vtk_wrap_java vtk_wrap_python vtk_wrap_tcl while
write_file
]]
--Variables:
keywords[2] = [[
ABSOLUTE ABSTRACT ADDITIONAL_MAKE_CLEAN_FILES ALL AND APPEND
ARGS ASCII BEFORE CACHE CACHE_VARIABLES CLEAR
COMMAND COMMANDS COMMAND_NAME COMMENT COMPARE COMPILE_FLAGS
COPYONLY DEFINED DEFINE_SYMBOL DEPENDS DOC EQUAL
ESCAPE_QUOTES EXCLUDE EXCLUDE_FROM_ALL EXISTS EXPORT_MACRO EXT
EXTRA_INCLUDE FATAL_ERROR FILE FILES FORCE FUNCTION
GENERATED GLOB GLOB_RECURSE GREATER GROUP_SIZE HEADER_FILE_ONLY
HEADER_LOCATION IMMEDIATE INCLUDES INCLUDE_DIRECTORIES INCLUDE_INTERNALS INCLUDE_REGULAR_EXPRESSION
LESS LINK_DIRECTORIES LINK_FLAGS LOCATION MACOSX_BUNDLE MACROS
MAIN_DEPENDENCY MAKE_DIRECTORY MATCH MATCHALL MATCHES MODULE
NAME NAME_WE NOT NOTEQUAL NO_SYSTEM_PATH OBJECT_DEPENDS
OPTIONAL OR OUTPUT OUTPUT_VARIABLE PATH PATHS
POST_BUILD POST_INSTALL_SCRIPT PREFIX PREORDER PRE_BUILD PRE_INSTALL_SCRIPT
PRE_LINK PROGRAM PROGRAM_ARGS PROPERTIES QUIET RANGE
READ REGEX REGULAR_EXPRESSION REPLACE REQUIRED RETURN_VALUE
RUNTIME_DIRECTORY SEND_ERROR SHARED SOURCES STATIC STATUS
STREQUAL STRGREATER STRLESS SUFFIX TARGET TOLOWER
TOUPPER VAR VARIABLES VERSION WIN32 WRAP_EXCLUDE
WRITE APPLE MINGW MSYS CYGWIN BORLAND
WATCOM MSVC MSVC_IDE MSVC60 MSVC70 MSVC71 MSVC80 CMAKE_COMPILER_2005 OFF ON
]]



local style = {}

--style[CMAKE.DEFAULT ] =
--Comment (SCE_CMAKE_COMMENT)
style[CMAKE.COMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
--String double quote (SCE_CMAKE_STRINGDQ)
style[CMAKE.STRINGDQ] = colors.string
--String left quote (SCE_CMAKE_STRINGLQ)
style[CMAKE.STRINGLQ] = colors.string
--String left quote (SCE_CMAKE_STRINGLQ)
style[CMAKE.STRINGRQ] = colors.string
--Function (SCE_CMAKE_COMMANDS)
style[CMAKE.COMMANDS] = {
    fore = 0xFFC66D,
    bold = true
}
--Variable (SCE_CMAKE_PARAMETERS)
style[CMAKE.PARAMETERS] = {
    fore = 0x800000,
}
--Label (SCE_CMAKE_VARIABLE)
style[CMAKE.VARIABLE] = {
    fore = 0xCC3300,
}
--User Defined (SCE_CMAKE_USERDEFINED)
style[CMAKE.USERDEFINED] = {
    fore = 0x000000,
}
--Section (SCE_CMAKE_WHILEDEF)
style[CMAKE.WHILEDEF] = {
    bold = true
}
--Sub section (SCE_CMAKE_FOREACHDEF)
style[CMAKE.FOREACHDEF] = {
    bold = true
}
--If def (SCE_CMAKE_IFDEFINEDEF)
style[CMAKE.IFDEFINEDEF] = {
    bold = true
}
--Macro def (SCE_CMAKE_MACRODEF)
style[CMAKE.MACRODEF] = {
    bold = true
}
--Variable within string(SCE_CMAKE_STRINGVAR)
style[CMAKE.STRINGVAR] = {
    fore = 0xCC3300,
    back = 0xEEEEEE
}
--Numbers(SCE_CMAKE_NUMBER)
style[CMAKE.NUMBER] = colors.number


local properties = {}

return function() return keywords, style, properties end

