--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-8
-- Time: 4:57
-- To change this template use File | Settings | File Templates.
--
local DIFF = luajava.bindClass("jscintilla.lexers.diff")

local keywords = {}


local style = {}
--style[DIFF.DEFAULT] =
--Comment (part before "diff ..." or "--- ..." and , Only in ..., Binary file...)
style[DIFF.COMMENT] = createStyle(fonts.codeCommentBox, colors.codeCommentBox, {})
--Command (diff ...)
style[DIFF.COMMAND] = { fore = 0x7F7F00 }
--Source file (--- ...) and Destination file (+++ ...)
style[DIFF.HEADER] = { fore = 0x7F0000 }
--Position setting (@@ ...)
style[DIFF.POSITION] = { fore = 0x7F007F }
--Line removal (-...)
style[DIFF.DELETED] = { fore = 0x00FF7F }
--Line addition (+...)
style[DIFF.ADDED] = { fore = 0x00CCFF }
--Line change (!...)
style[DIFF.CHANGED] = { fore = 0x7F7F7F }
style[DIFF.PATCH_ADD] = { fore = 0x00CCFF }
style[DIFF.PATCH_DELETE] = { fore = 0x00FF7F }
style[DIFF.REMOVED_PATCH_ADD] = { fore = 0x00CCFF }
style[DIFF.REMOVED_PATCH_DELETE] = { fore = 0x00FF7F }

local properties = {}

return function() return keywords, style, properties end

