--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-9
-- Time: 16:50
-- To change this template use File | Settings | File Templates.
--

local HEX = luajava.bindClass("jscintilla.lexers.hex")
local keywords = {}


local style = {}

--style[HEX.DEFAULT] =

--Record start 'S'
style[HEX.RECSTART] = {
    fore = 0x7F0000,
}
--Record type
style[HEX.RECTYPE] = {
    fore = 0x7F0000,
}
--Record type unknown
style[HEX.RECTYPE_UNKNOWN] = {
    fore = 0x7F0000,
    italics = true
}
--Byte count field:Correct byte count
style[HEX.BYTECOUNT] = {
    fore = 0x7F7F00,
}
--Byte count field:Wrong byte count
style[HEX.BYTECOUNT_WRONG] = colors.error
--Address field :No address
style[HEX.NOADDRESS] = {
    fore = 0x7F00FF,
}
--Address field :Data address
style[HEX.DATAADDRESS] = {
    fore = 0x007FFF,
}
--Address field :Record count
style[HEX.RECCOUNT] = style[HEX.NOADDRESS]
--Address field :Start address
style[HEX.STARTADDRESS] = style[HEX.DATAADDRESS]
--Address field :Type unknown (this state does not contain any characters)
style[HEX.ADDRESSFIELD_UNKNOWN] = {
    italics = true
}
--.11 N / A
--style[HEX.EXTENDEDADDRESS] =
--Data odd
style[HEX.DATA_ODD] = {
    bold = true
}
--style[HEX.DATA_EVEN] =
--Data field :Position unknown
style[HEX.DATA_UNKNOWN] = style[HEX.ADDRESSFIELD_UNKNOWN]
--Data field empty(this state does not contain any characters)
--style[HEX.DATA_EMPTY] =
--Checksum field :Correct checksum
style[HEX.CHECKSUM] = {
    fore = 0x00BF00,
}
--Checksum field :Wrong checksum
style[HEX.CHECKSUM_WRONG] = colors.error
style[HEX.GARBAGE] = style[HEX.ADDRESSFIELD_UNKNOWN]



local properties = {}

return function() return keywords, style, properties end

