--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-8
-- Time: 17:09
-- To change this template use File | Settings | File Templates.
--

local JSON = luajava.bindClass("jscintilla.lexers.json")
local keywords = {}

keywords[1] = "false true null"

keywords[2] = [[
@id @context @type @value @language @container
@list @set @reverse @index @base @vocab @graph
]]

local style = {}


--Default
--style[JSON.DEFAULT ] =
--Number
style[JSON.NUMBER] = colors.number
--String
style[JSON.STRING] = colors.string
--Unclosed string
style[JSON.STRINGEOL] = createChild(colors.string, {
    back = 0xFF0000,
    eolfilled = true
})
--Property name
style[JSON.PROPERTYNAME] = {
    fore = 0x880AE8
}
--Escape sequence
style[JSON.ESCAPESEQUENCE] = {
    fore = 0x0B982E
}
--Line comment
style[JSON.LINECOMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
--Block comment
style[JSON.BLOCKCOMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
--Operator
style[JSON.OPERATOR] = {
    fore = 0x18644A
}
--URL / IRI
style[JSON.URI] = {
    fore = 0x0000FF
}
--JSON - LD compact IRI
style[JSON.COMPACTIRI] = {
    fore = 0xD137C1,
}
--JSON keyword
style[JSON.KEYWORD] = {
    fore = 0x0BCEA7,
    bold = true
}
--JSON - LD keyword
style[JSON.LDKEYWORD] = {
    fore = 0xEC2806
}
style[JSON.ERROR] = {
    back = 0xFF0000
}

local properties = {}

return function() return keywords, style, properties end


