--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-8
-- Time: 14:24
-- To change this template use File | Settings | File Templates.
--
local B = luajava.bindClass("jscintilla.lexers.b")

local keywords = {}
keywords[1] = [[
addressof alias and as attribute base begin binary boolean byref byte byval call case cdbl
cint clng compare const csng cstr currency date decimal declare defbool defbyte defcur
defdate defdbl defdec defint deflng defobj defsng defstr defvar dim do double each else
elseif empty end enum eqv erase error event exit explicit false for friend function get
global gosub goto if imp implements in input integer is len let lib like load lock long
loop lset me mid midb mod new next not nothing null object on option optional or paramarray
preserve print private property public raiseevent randomize redim rem resume return rset
seek select set single static step stop string sub text then time to true type typeof
unload until variant wend while with withevents xor
]]


local style = {}

--Default
--style[B.DEFAULT] =
--Comment
style[B.COMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
--Number
style[B.NUMBER] = colors.number
--Keyword
style[B.KEYWORD] = colors.keyword
--String
style[B.STRING] = colors.string
--Preprocessor (directives)
style[B.PREPROCESSOR] = colors.preproc
style[B.OPERATOR] = colors.operator
--Identifier
--style[B.IDENTIFIER] =
--Date
style[B.DATE] = colors.number
--End of line where string is not closed
style[B.STRINGEOL] = {
    fore = 0x000000,
    back = 0xE0C0E0,
    eolfilled = true
}
--Other keywords (bozo test colors :-)
style[B.KEYWORD2] = createChild(colors.keyword, {
    back = 0xD0FFD0
})
style[B.KEYWORD3] = createChild(colors.keyword, {
    back = 0xD0D0FF
})
style[B.KEYWORD4] = createChild(colors.keyword, {
    back = 0xFFD0D0
})
--style[B.CONSTANT] =
--style[B.ASM] =
--style[B.LABEL] =
--style[B.ERROR] =
--style[B.HEXNUMBER] =
--style[B.BINNUMBER] =
--style[B.COMMENTBLOCK] =
--style[B.DOCLINE] =
--style[B.DOCBLOCK] =
--style[B.DOCKEYWORD] =

local properties = {}

return function() return keywords, style, properties end
