local colorSchemes = {}

--internal schemes
colorSchemes.Light = "schemes/light.lua"
colorSchemes.Dark = "schemes/dark.lua"

--load external schemes if it exists
local extSchemesFile = loadfile("extschemes.lua");
if extSchemesFile ~= nil then
    local extSchemes = extSchemesFile()
    for k, v in pairs(extSchemes) do
        colorSchemes[k] = v
    end
end

return colorSchemes