--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-9
-- Time: 12:16
-- To change this template use File | Settings | File Templates.
--

local FORTH = luajava.bindClass("jscintilla.lexers.forth")
local keywords = {}

keywords[1] = [[
AGAIN BEGIN CASE DO ELSE ENDCASE ENDOF IF LOOP OF REPEAT THEN UNTIL  WHILE
[IF] [ELSE] [THEN] ?DO
]]

keywords[2] = [[
DUP DROP ROT SWAP OVER @ ! 2@ 2! 2DUP 2DROP 2SWAP 2OVER NIP R@ >R R> 2R@ 2>R 2R>
0 = 0< SP@ SP! W@ W! C@ C! < > = <> 0<>
SPACE SPACES KEY? KEY THROW CATCH ABORT */ 2* /MOD CELL+ CELLS CHAR+
CHARS MOVE ERASE DABS TITLE HEX DECIMAL HOLD <# # #S #> SIGN
D. . U. DUMP (.") >NUMBER ' IMMEDIATE EXIT RECURSE UNLOOP LEAVE HERE ALLOT ,
C, W, COMPILE, BRANCH, RET, LIT, DLIT, ?BRANCH, ", >MARK >RESOLVE1 <MARK >RESOLVE
ALIGN ALIGNED USER-ALLOT USER-HERE HEADER DOES> SMUDGE HIDE: NONAME LAST-WORD
?ERROR ERROR2 FIND1 SFIND SET-CURRENT GET-CURRENT DEFINITIONS GET-ORDER FORTH
ONLY SET-ORDER ALSO PREVIOUS VOC-NAME. ORDER LATEST LITERAL 2LITERAL SLITERAL
CLITERAL ?LITERAL1 ?SLITERAL1 HEX-LITERAL HEX-SLITERAL ?LITERAL2 ?SLITERAL2 SOURCE
EndOfChunk CharAddr PeekChar IsDelimiter GetChar OnDelimiter SkipDelimiters OnNotDelimiter
SkipWord SkipUpTo ParseWord NextWord PARSE SKIP CONSOLE-HANDLES REFILL DEPTH ?STACK
?COMP WORD INTERPRET BYE QUIT MAIN1 EVALUATE INCLUDE-FILE INCLUDED >BODY +WORD
WORDLIST CLASS! CLASS@ PAR! PAR@ ID. ?IMMEDIATE ?VOC IMMEDIATE VOC WordByAddrWl
WordByAddr NLIST WORDS SAVE OPTIONS /notransl ANSI>OEM ACCEPT EMIT CR TYPE EKEY?
EKEY EKEY>CHAR EXTERNTASK ERASE-IMPORTS ModuleName ModuleDirName ENVIRONMENT?
DROP-EXC-HANDLER SET-EXC-HANDLER HALT ERR CLOSE-FILE CREATE-FILE CREATE-FILE-SHARED
OPEN-FILE-SHARED DELETE-FILE FILE-POSITION FILE-SIZE OPEN-FILE READ-FILE REPOSITION-FILE
DOS-LINES UNIX-LINES READ-LINE WRITE-FILE RESIZE-FILE WRITE-LINE ALLOCATE FREE RESIZE
START SUSPEND RESUME STOP PAUSE MIN MAX TRUE FALSE ASCIIZ>
R/O W/O ;CLASS ENDWITH OR AND /STRING SEARCH COMPARE EXPORT ;MODULE SPACE
]]

keywords[3] = [[
VARIABLE CREATE: VALUE CONSTANT VM: M: var dvar chars OBJ
CONSTR: DESTR: CLASS: OBJECT: POINTER
USER USER-CREATE USER-VALUE VECT
WNDPROC: VOCABULARY -- TASK: CEZ: MODULE:
]]

keywords[4] = [[
CHAR [CHAR] POSTPONE WITH ['] TO [COMPILE] CHAR ASCII '
]]
keywords[5] = "REQUIRE WINAPI:"
keywords[6] = [[
S" ABORT" Z" " ." C"
]]


local style = {}

--style[FORTH.DEFAULT] =
style[FORTH.COMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[FORTH.COMMENT_ML] = createStyle(fonts.comment, colors.codeCommentLine, {})
--style[FORTH.IDENTIFIER] =
style[FORTH.CONTROL] = {
    fore = 0x00007F,
    bold = true
}
style[FORTH.KEYWORD] = createChild(colors.keyword, {
    bold = true
})
style[FORTH.DEFWORD] = {
    fore = 0xFF0000,
    bold = true
}
style[FORTH.PREWORD1] = {
    fore = 0xCC3300,
    bold = true
}
style[FORTH.PREWORD2] = {
    fore = 0x996633,
    bold = true
}
style[FORTH.NUMBER] = colors.number
style[FORTH.STRING] = colors.string
style[FORTH.LOCALE] = {
    fore = 0x0000CC,
}


local properties = {}

return function() return keywords, style, properties end




