--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-9
-- Time: 4:38
-- To change this template use File | Settings | File Templates.
--



local SQL = luajava.bindClass("jscintilla.lexers.sql")
local keywords = {}

keywords[1] = [[
all alter and any array as asc at authid avg begin between
binary_integer
body boolean bulk by char char_base check close cluster collect
comment commit compress connect constant create current currval
cursor date day declare decimal default delete desc distinct
do drop else elsif end exception exclusive execute exists exit
extends false fetch float for forall from function goto group
having heap hour if immediate in index indicator insert integer
interface intersect interval into is isolation java level like
limited lock long loop max min minus minute mlslabel mod mode
month natural naturaln new nextval nocopy not nowait null number
number_base ocirowid of on opaque open operator option or order
organization others out package partition pctfree pls_integer
positive positiven pragma prior private procedure public raise
range raw real record ref release return reverse rollback row
rowid rownum rowtype savepoint second select separate set share
smallint space sql sqlcode sqlerrm start stddev subtype successful
sum synonym sysdate table then time timestamp to trigger true
type uid union unique update use user validate values varchar
varchar2 variance view when whenever where while with work write
year zone
]]

keywords[2] = [[
]]

keywords[3] = [[
param author since return see deprecated todo
]]

keywords[4] = [[
acc~ept a~ppend archive log attribute
bre~ak bti~tle
c~hange cl~ear col~umn comp~ute conn~ect copy
def~ine del desc~ribe disc~onnect
e~dit exec~ute exit
get
help ho~st
i~nput
l~ist
passw~ord pau~se pri~nt pro~mpt
quit
recover rem~ark repf~ooter reph~eader r~un
sav~e set sho~w shutdown spo~ol sta~rt startup store
timi~ng tti~tle
undef~ine
var~iable
whenever oserror whenever sqlerror
]]

keywords[5] = [[
dbms_output.disable dbms_output.enable dbms_output.get_line
dbms_output.get_lines dbms_output.new_line dbms_output.put
dbms_output.put_line
]]


local style = {}



--style[SQL.DEFAULT] =
style[SQL.COMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[SQL.COMMENTLINE] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[SQL.COMMENTDOC] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[SQL.NUMBER] = colors.number
style[SQL.WORD] = createChild(colors.keyword, {
    bold = true
})
--Double quoted string
style[SQL.STRING] = colors.string
--Single quoted string
style[SQL.CHARACTER] = colors.string
style[SQL.SQLPLUS] = colors.preproc
style[SQL.SQLPLUS_PROMPT] = {
    fore = 0x007F00,
    back = 0xE0FFE0,
    eolfilled = true
}
style[SQL.OPERATOR] = {
    bold = true
}
--style[SQL.IDENTIFIER] =
--Hash Line Comment
--style[SQL.SQLPLUS_COMMENT] = {
--    fore = 0x007F00,
--}
style[SQL.COMMENTLINEDOC] = createStyle(fonts.comment, colors.codeCommentLine, {})
--Keywords2: Database objects
style[SQL.WORD2] = {
    fore = 0xB00040,
}
style[SQL.COMMENTDOCKEYWORD] = {
    fore = 0x3060A0,
}
style[SQL.COMMENTDOCKEYWORDERROR] = {
    fore = 0x804020,
}
--Keywords5: User Keywords 1
style[SQL.USER1] = {
    fore = 0x4B0082,
}
--Keywords6: User Keywords 2
style[SQL.USER2] = {
    fore = 0xB00040,
}
--Keywords7: User Keywords 3
style[SQL.USER3] = {
    fore = 0x8B0000,
}
--Keywords8: User Keywords 4
style[SQL.USER4] = {
    fore = 0xDD9900,
}
--style[SQL.QUOTEDIDENTIFIER] ={}
style[SQL.QOPERATOR] = {
    fore = 0xEE00AA,
}




local properties = {}

return function() return keywords, style, properties end

