--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-8
-- Time: 21:44
-- To change this template use File | Settings | File Templates.
--


local RUBY = luajava.bindClass("jscintilla.lexers.rb")
local keywords = {}

keywords[1] = [[
__FILE__ and def end in or self unless __LINE__ begin \
defined? ensure module redo super until BEGIN break do false next rescue \
then when END case else for nil retry true while alias class elsif if \
not return undef yield
]]

local style = {}

--style[RUBY.DEFAULT ] =
style[RUBY.ERROR] = colors.error
--Comment line
style[RUBY.COMMENTLINE] = createStyle(fonts.comment, colors.codeCommentLine, {})
--POD
style[RUBY.POD] = {
    fore = 0x004000,
    back = 0xE0FFE0,
    eolfilled = true
}
style[RUBY.NUMBER] = colors.number
style[RUBY.WORD] = colors.keyword
style[RUBY.STRING] = colors.string
style[RUBY.CHARACTER] = colors.string
style[RUBY.CLASSNAME] = {
    bold = true
}
--Def name
style[RUBY.DEFNAME] = {
    fore = 0x007F7F,
    bold = true
}
style[RUBY.OPERATOR] = colors.operator
--style[RUBY.IDENTIFIER] =

style[RUBY.REGEX] = {
    back = 0xA0FFA0,
}
style[RUBY.GLOBAL] = {
    fore = 0x800080,
}
style[RUBY.SYMBOL] = {
    fore = 0xC0A030,
}
--MODULE_NAME
style[RUBY.MODULE_NAME] = {
    fore = 0xA000A0,
    bold = true
}
--INSTANCE_VAR
style[RUBY.INSTANCE_VAR] = {
    fore = 0xB00080,
}
--CLASS_VAR
style[RUBY.CLASS_VAR] = {
    fore = 0x8000B0,
}
style[RUBY.BACKTICKS] = {
    fore = 0xFFFF00,
    back = 0xA08080,
}
style[RUBY.DATASECTION] = {
    fore = 0x600000,
    back = 0xFFF0D8,
    eolfilled = true
}
style[RUBY.HERE_DELIM] = {
    fore = 0x000000,
    back = 0xDDD0DD,
}
style[RUBY.HERE_Q] = {
    fore = 0x7F007F,
    back = 0xDDD0DD,
    eolfilled = true,
    bold = false
}
style[RUBY.HERE_QQ] = {
    fore = 0x7F007F,
    back = 0xDDD0DD,
    eolfilled = true,
    bold = true
}
style[RUBY.HERE_QX] = {
    fore = 0x7F007F,
    back = 0xDDD0DD,
    eolfilled = true,
    italics = true
}
style[RUBY.STRING_Q] = {
    fore = 0x7F007F,
}
style[RUBY.STRING_QQ] = colors.string
style[RUBY.STRING_QX] = {
    fore = 0xFFFF00,
    back = 0xA08080,
}
style[RUBY.STRING_QR] = {
    fore = 0x000000,
    back = 0xA0FFA0,
}
style[RUBY.STRING_QW] = {
    fore = 0x000000,
    back = 0xFFFFE0,
}
--Demoted Keyword
style[RUBY.WORD_DEMOTED] = colors.keyword
style[RUBY.STDIN] = {
    back = 0xFF8080,
}
style[RUBY.STDOUT] = {
    back = 0xFF8080,
}
style[RUBY.STDERR] = {
    back = 0xFF8080,
}
style[RUBY.UPPER_BOUND] = {
    back = 0xFF0000,
}



local properties = {}

return function() return keywords, style, properties end
