--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-9
-- Time: 4:38
-- To change this template use File | Settings | File Templates.
--



local SQL = luajava.bindClass("jscintilla.lexers.sql")
local keywords = {}

keywords[1] = [[
absolute action add admin after aggregate
alias all allocate alter and any are array as asc
assertion at authorization
before begin binary bit blob body boolean both breadth by
call cascade cascaded case cast catalog char character
check class clob close collate collation column commit
completion connect connection constraint constraints
constructor continue corresponding create cross cube current
current_date current_path current_role current_time current_timestamp
current_user cursor cycle
data date day deallocate dec decimal declare default
deferrable deferred delete depth deref desc describe descriptor
destroy destructor deterministic dictionary diagnostics disconnect
distinct domain double drop dynamic
each else end end-exec equals escape every except
exception exec execute exists exit external
false fetch first float for foreign found from free full
function
general get global go goto grant group grouping
having host hour
identity if ignore immediate in indicator initialize initially
inner inout input insert int integer intersect interval
into is isolation iterate
join
key
language large last lateral leading left less level like
limit local localtime localtimestamp locator
map match merge minute modifies modify module month
names national natural nchar nclob new next no none
not null numeric
object of off old on only open operation option
or order ordinality out outer output
package pad parameter parameters partial path postfix precision prefix
preorder prepare preserve primary
prior privileges procedure public
read reads real recursive ref references referencing relative
restrict result return returns revoke right
role rollback rollup routine row rows
savepoint schema scroll scope search second section select
sequence session session_user set sets size smallint some| space
specific specifictype sql sqlexception sqlstate sqlwarning start
state statement static structure system_user
table temporary terminate than then time timestamp
timezone_hour timezone_minute to trailing transaction translation
treat trigger true
under union unique unknown
unnest update usage user using
value values varchar variable varying view
when whenever where with without work write
year
zone
]]

keywords[2] = [[
]]

keywords[3] = [[
param author since return see deprecated todo
]]

keywords[4] = [[
acc~ept a~ppend archive log attribute
bre~ak bti~tle
c~hange cl~ear col~umn comp~ute conn~ect copy
def~ine del desc~ribe disc~onnect
e~dit exec~ute exit
get
help ho~st
i~nput
l~ist
passw~ord pau~se pri~nt pro~mpt
quit
recover rem~ark repf~ooter reph~eader r~un
sav~e set sho~w shutdown spo~ol sta~rt startup store
timi~ng tti~tle
undef~ine
var~iable
whenever oserror whenever sqlerror
]]

keywords[5] = [[
dbms_output.disable dbms_output.enable dbms_output.get_line
dbms_output.get_lines dbms_output.new_line dbms_output.put
dbms_output.put_line
]]


local style = {}



--style[SQL.DEFAULT] =
style[SQL.COMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[SQL.COMMENTLINE] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[SQL.COMMENTDOC] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[SQL.NUMBER] = colors.number
style[SQL.WORD] = createChild(colors.keyword, {
    bold = true
})
--Double quoted string
style[SQL.STRING] = colors.string
--Single quoted string
style[SQL.CHARACTER] = colors.string
style[SQL.SQLPLUS] = colors.preproc
style[SQL.SQLPLUS_PROMPT] = {
    fore = 0x007F00,
    back = 0xE0FFE0,
    eolfilled = true
}
style[SQL.OPERATOR] = {
    bold = true
}
--style[SQL.IDENTIFIER] =
--Hash Line Comment
--style[SQL.SQLPLUS_COMMENT] = {
--    fore = 0x007F00,
--}
style[SQL.COMMENTLINEDOC] = createStyle(fonts.comment, colors.codeCommentLine, {})
--Keywords2: Database objects
style[SQL.WORD2] = {
    fore = 0xB00040,
}
style[SQL.COMMENTDOCKEYWORD] = {
    fore = 0x3060A0,
}
style[SQL.COMMENTDOCKEYWORDERROR] = {
    fore = 0x804020,
}
--Keywords5: User Keywords 1
style[SQL.USER1] = {
    fore = 0x4B0082,
}
--Keywords6: User Keywords 2
style[SQL.USER2] = {
    fore = 0xB00040,
}
--Keywords7: User Keywords 3
style[SQL.USER3] = {
    fore = 0x8B0000,
}
--Keywords8: User Keywords 4
style[SQL.USER4] = {
    fore = 0xDD9900,
}
--style[SQL.QUOTEDIDENTIFIER] ={}
style[SQL.QOPERATOR] = {
    fore = 0xEE00AA,
}




local properties = {}

return function() return keywords, style, properties end

