--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-8
-- Time: 19:24
-- To change this template use File | Settings | File Templates.
--


local YAML = luajava.bindClass("jscintilla.lexers.yaml")

local keywords = {}
keywords[1] = "true false yes no"


local style = {}

--style[YAML.DEFAULT] =
--comment line
style[YAML.COMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
--value identifier
style[YAML.IDENTIFIER] = { bold = true }
--keyword value
style[YAML.KEYWORD] = colors.keyword
--numerical value
style[YAML.NUMBER] = colors.number
--reference/repeating value
style[YAML.REFERENCE] = {}
--document delimiting line
style[YAML.DOCUMENT] = createChild(fonts.comment, {
    fore = 0xFFFFFF,
    back = 0x000088,
    bold = true,
    eolfilled = true
})
--text block marker
style[YAML.TEXT] = {
    fore = 0x333366,
}
--syntax error marker
style[YAML.ERROR] = {
    fore = 0xFFFFFF,
    back = 0xFF0000,
    italics = true,
    bold = true,
    eolfilled = true
}
style[YAML.OPERATOR] = colors.operator


local properties = {}

return function() return keywords, style, properties end

